Package com.clickhouse.jdbc

## Class JdbcParameterizedQuery

- java.lang.Object
- - com.clickhouse.client.ClickHouseParameterizedQuery
  - - com.clickhouse.jdbc.JdbcParameterizedQuery

All Implemented Interfaces:
  `Serializable`

    public final class JdbcParameterizedQuery
    extends ClickHouseParameterizedQuery

A parameterized query is a parsed query with parameters being extracted for substitution.

See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from class com.clickhouse.client.ClickHouseParameterizedQuery

`ClickHouseParameterizedQuery.QueryPart`

### Field Summary

### Fields inherited from class com.clickhouse.client.ClickHouseParameterizedQuery

`originalQuery`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static JdbcParameterizedQuery` `of​(String query)` Creates an instance by parsing the given query.
`protected String` `parse()`

### Methods inherited from class com.clickhouse.client.ClickHouseParameterizedQuery

`addPart, addPart, apply, apply, apply, apply, apply, apply, apply, equals, getOriginalQuery, getParameters, getParameterTemplates, getParts, getQueryParts, hashCode, hasParameter, toSqlExpression`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### of

    public static JdbcParameterizedQuery of​(String query)

Creates an instance by parsing the given query.

Parameters:
  `query` - non-empty SQL query
Returns:
  parameterized query

#### parse

    protected String parse()

Overrides:
  `parse` in class `ClickHouseParameterizedQuery`